Safe Haskell | Safe-Inferred
Language | Haskell2010

DefaultAssociatedTypes

Synopsis

- class Foo a where
  - type Qux a
  - bar :: a -> String
  - baz :: a -> String

# Documentation

class Foo a where #

Documentation for Foo.

Associated Types

type Qux a #

Doc for Qux

type Qux a = [a]

Methods

bar :: a -> String #

Documentation for bar and baz.

baz :: a -> String #

Documentation for bar and baz.